Third Party

Third-party collection management

Get third parties

get
/thirdParties

Returns all third-party providers

Authorizations
X-Identity-Auth-Chain-*stringRequired

Signed fetch authentication using Decentraland's ADR-44 specification. Multiple headers are used to provide the authentication chain.

Query parameters
managerstringOptional
Responses
chevron-right
200

List of third parties

application/json
get
/thirdParties

Get a third party

get
/thirdParties/{id}

Returns a third party by ID

Path parameters
idstringRequired
Responses
chevron-right
200

Third party details

application/json
get
/thirdParties/{id}

Remove virtual third party

delete
/thirdParties/{id}

Removes a virtual third party after it's on the graph

Authorizations
X-Identity-Auth-Chain-*stringRequired

Signed fetch authentication using Decentraland's ADR-44 specification. Multiple headers are used to provide the authentication chain.

Path parameters
idstringRequired
Responses
chevron-right
200

Third party removed successfully

No content

delete
/thirdParties/{id}

No content

Update third party

patch
/thirdParties/{id}

Updates a virtual third party

Authorizations
X-Identity-Auth-Chain-*stringRequired

Signed fetch authentication using Decentraland's ADR-44 specification. Multiple headers are used to provide the authentication chain.

Path parameters
idstringRequired
Body
objectOptional
Responses
chevron-right
200

Third party updated successfully

No content

patch
/thirdParties/{id}

No content

Get available slots

get
/thirdParties/{id}/slots

Returns the number of available slots for a third party

Authorizations
X-Identity-Auth-Chain-*stringRequired

Signed fetch authentication using Decentraland's ADR-44 specification. Multiple headers are used to provide the authentication chain.

Path parameters
idstringRequired
Responses
chevron-right
200

Available slots count

application/json
get
/thirdParties/{id}/slots

Last updated